Description

There is a need to describe constraints to the information model and profiles. Using static model (classes and attributes) for modeling
constraints is not recommended. Object Constraint Language (OCL) is part of UML 2.0 and are to some degree supported by Sparx
EA.

Proposed Solution

The Sparx EA usage and support is outside the scope of 61970-501, and will be follow up as part of the requirement to the modeling
and profiling tool. As we are using semantic web languages RDFS-plus for the vocabulary it would make to use Shapes Constraint
Language (SHACL) (https://www.w3.0rg/TR/shacl/) for the validation and constraints. It is also a strong believe it will be easier to
convert from SHACL to OCL than the other way. However, we might need to see in the dialog with Sparx how the constrains can be
model the easiest to make it possible to be exported as SHACL.

Decision

[2022-09-22: The use of SHACL as part of the 501 profiles will be added to Ed2 fo 501. Need to evaluate the need to include OCL ->
SHACL transformation.]

History

#1 - 09/14/2021 06:27 PM - Eric Stephan

- Subject changed from Specify validation constaints like via OCL
Add constraints to Specify validation constaints like via OCLAdd constraints

- Decision updated

#2 - 09/22/2022 02:30 PM - Svein Olsen
- Description updated

- Base Release deleted (CIM16)

- Proposed Solution updated

- Standard(s) set to 61970-501

- Decision updated

- Originally Assigned To set to Svein Harald Olsen

The original description:
https://www.w3.org/TR/shacl/

Specify validation constaints like via OCL
Add constraints to the UML model in something like the form of OCL constraints. CGMES has already started doing something similar.

This is changed to:

There is a need to describe constraints to the information model and profiles. Using static model (classes and attributes) for modeling constraints is
not recommended. Object Constraint Language (OCL) is part of UML 2.0 and are to some degree supported by Sparx EA.

#3 - 09/22/2022 03:01 PM - Svein Olsen

- Subject changed from Specify validation constaints like via OCLAdd constraints to Create validation constaints for the UML model and profile

#4 - 09/22/2022 03:11 PM - Eric Stephan
- Status changed from Open to In Progress

- Veersion set to v2
